commit de19b86454966828a889270e5a057226aa6978cb
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sat Nov 22 01:26:58 2025

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 045cd82f8a6..eba63a9295c 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,9 @@
+2025-11-21  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* doc/invoke.texi (Optimize Options) <-fmalloc-dce>: Remove
+	trailing space.
+	(AArch64 Options) <-march>: Fix pasto.
+
 2025-11-20  Richard Biener  <rguenther@suse.de>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 169a914dc52..5e2abcc5856 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20251121
+20251122
diff --git a/gcc/ada/ChangeLog b/gcc/ada/ChangeLog
index daa46a1f363..4662ebd3d59 100644
--- a/gcc/ada/ChangeLog
+++ b/gcc/ada/ChangeLog
@@ -1,3 +1,26 @@
+2025-11-21  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* repinfo.adb (List_Location): Do not output the final comma.
+	(List_Common_Type_Info): Adjust to above change.  Do not output
+	"??" for an unknown alignment.
+	(List_Entities): Do not output generic types.
+	(List_Object_Info): Adjust to above change.
+	(List_Subprogram_Info): Likewise.
+
+2025-11-21  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* sem_type.adb (Last_Overloaded): Fix typo.
+
+2025-11-21  Eric Botcazou  <ebotcazou@adacore.com>
+
+	PR ada/111433
+	* sem_util.ads (Incomplete_Or_Partial_View): Add Partial_Only formal
+	parameter.
+	* sem_util.adb (Incomplete_Or_Partial_View): Likewise.  Do not look
+	for an incomplete view if it is set to True.
+	* sem_ch6.adb (Check_Conformance.Null_Exclusions_Match): Pass True
+	for Partial_Only in the call to Incomplete_Or_Partial_View.
+
 2025-11-12  Eric Botcazou  <ebotcazou@adacore.com>
 
 	PR ada/122640
diff --git a/gcc/cp/ChangeLog b/gcc/cp/ChangeLog
index 5dd350251cb..e4e226314db 100644
--- a/gcc/cp/ChangeLog
+++ b/gcc/cp/ChangeLog
@@ -1,3 +1,11 @@
+2025-11-21  Marek Polacek  <polacek@redhat.com>
+
+	Backported from master:
+	2025-11-21  Marek Polacek  <polacek@redhat.com>
+
+	PR c++/120529
+	* call.cc (ref_conv_binds_to_temporary): Don't ignore access control.
+
 2025-11-19  Marek Polacek  <polacek@redhat.com>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 74e15023f6a..051a531c2b5 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2025-11-21  Marek Polacek  <polacek@redhat.com>
+
+	Backported from master:
+	2025-11-21  Marek Polacek  <polacek@redhat.com>
+
+	PR c++/120529
+	* g++.dg/ext/reference_xes_from_temporary1.C: New test.
+
 2025-11-20  Xi Ruoyao  <xry111@xry111.site>
 
 	Backported from master:

